package com.sooka.system.gas.xinKer_acceptance_infor.service.impl;

import com.sooka.common.core.text.Convert;
import com.sooka.common.utils.DateUtils;
import com.sooka.framework.util.ShiroUtils;
import com.sooka.system.gas.xinKer_acceptance_infor.domain.TGuijiXinKerAcceptanceInfor;
import com.sooka.system.gas.xinKer_acceptance_infor.mapper.TGuijiXinKerAcceptanceInforMapper;
import com.sooka.system.gas.xinKer_acceptance_infor.service.ITGuijiXinKerAcceptanceInforService;
import com.sooka.system.service.impl.Guiji_Base_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 鑫科客户系统-受理信息Service业务层处理
 *
 * @author lei
 * @date 2022-08-22
 */
@Service
public class TGuijiXinKerAcceptanceInforServiceImpl extends Guiji_Base_Service implements ITGuijiXinKerAcceptanceInforService
{
    @Resource
    private TGuijiXinKerAcceptanceInforMapper mapper;

    /**
     * 查询鑫科客户系统-受理信息
     *
     * @param id 鑫科客户系统-受理信息ID
     * @return 鑫科客户系统-受理信息
     */
    @Override
    public TGuijiXinKerAcceptanceInfor selectById(String id)
    {
        return mapper.selectById(id);
    }

    /**
     * 查询鑫科客户系统-受理信息列表
     *
     * @param param 鑫科客户系统-受理信息
     * @return 鑫科客户系统-受理信息
     */
    @Override
    public List<TGuijiXinKerAcceptanceInfor> selectList(TGuijiXinKerAcceptanceInfor param)
    {
        List<TGuijiXinKerAcceptanceInfor> list = mapper.selectList(param);
        param.setOperationStatus(1L);
        param.setParam(param.toString());
        param.setInterfacetype("platform_interfacetype_1");//1 共享 2归集
        param.setInterfaceinfoId("e12ffb0f-df83-4411-9042-c78a0f3f9328");
        param.setInterfaceinfoName("共享（市）-鑫科客户系统-受理信息");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        param.setDeptId(deptId);
        param.setDeptName(deptName);
        add_log(param);
        return list;
    }

    /**
     * 新增鑫科客户系统-受理信息
     *
     * @param param 鑫科客户系统-受理信息
     * @return 结果
     */
    @Override
    public int insert(TGuijiXinKerAcceptanceInfor param)
    {
        param.setCreateTime(DateUtils.getNowDate());
        return mapper.insert(param);
    }

    /**
     * 修改鑫科客户系统-受理信息
     *
     * @param param 鑫科客户系统-受理信息
     * @return 结果
     */
    @Override
    public int update(TGuijiXinKerAcceptanceInfor param)
    {
        return mapper.update(param);
    }

    /**
     * 删除鑫科客户系统-受理信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteByIds(String ids)
    {
        return mapper.deleteByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除鑫科客户系统-受理信息信息
     *
     * @param id 鑫科客户系统-受理信息ID
     * @return 结果
     */
    @Override
    public int deleteById(String id)
    {
        return mapper.deleteById(id);
    }
}
